@font-face {
  font-family: 'Formula1';
  src: url('../fonts/Formula1-Regular_web_0.ttf') format('truetype');
} 
/* Estilos generales */
body {
  height: 100vh;
  margin: 0;
  text-align: center;
  font-family: 'Formula1', Arial, sans-serif;
  background-color: #242323; /* Color de fondo con transparencia */
  background-image: url('/img/logofondo.png');
  background-repeat: repeat;
  background-size: 100px 100px; /* Tamaño de cada imagen */
 /* cursor: url('/img/cursor2.png') 32 32, auto;*/
  
 
}
.column {
  width: 50%;
  float: left;
}

  
  .container {
    
    
    width: 80%;
    
    
    margin: 0 auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    flex-direction: column;
    font-family: 'Formula1', Arial, sans-serif;
  }
  
  .center-table {
    
    width: auto;
  }
  table {
    width: 100%;
    border-collapse: collapse;
  }

  th, td {
    padding: 10px;
    text-align: center;
    border: 1px solid black;
  }

  th {

    background-color: rgb(254,248,76);
  }

  h1 {
    font-size: 36px;
    margin-bottom: 30px;
  }
  
  .btn {
    display: inline-block;
    background-color: rgb(254,248,76);
    color: black;
    border: none;
    border-radius: 3px;
    font-size: 16px;
    font-weight: bold;
    padding: 10px 20px;
    margin-right: 10px;
    margin-bottom: 20px;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-family: 'Formula1', Arial, sans-serif;
  }
  
  .btn:hover {
    background-color: #7c7a23;
    transform: scale(1.1); /* Aumenta el tamaño en un 10% */
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.6); /* Cambia la sombra en hover */
  }
  
  /* Estilo normal del círculo */
  .circle {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #FFB7B2;
  }
  .circle a {
    text-decoration: none;
  }
  

  /* Estilo hover del círculo */
  .circle:hover {
    background-color: #ff0000;
    cursor: pointer;
  }
  
  
  .imagen {
    display: flex; /* Cambiamos a un layout flexible */
    justify-content: center;
    align-items: center;
    height: 20%; /* Ajustamos la altura para que sea proporcional en diferentes dispositivos */
    margin-bottom: 10px; /* Agregamos una separación de 10px */
    
  }

  
  .imagen img {
    max-height: 50%; /* Ajustamos la altura máxima de la imagen para que se adapte al contenedor */
    max-width: 100%; /* Ajustamos el ancho máximo de la imagen para que se adapte al contenedor */
  }

  .select-css::-ms-expand {
    display: none;
  }
  .select-css:hover {
    border-color: #888;
  }
  .select-css:focus {
    border-color: #aaa;
    box-shadow: 0 0 1px 3px rgba(59, 153, 252, .7);
    box-shadow: 0 0 0 3px -moz-mac-focusring;
    color: #222;
    outline: none;
  }
  .select-css option {
    font-weight: normal;
  }
  
  
  .classOfElementToColor:hover {
    background-color: red;
    color: black;
  }
  
  .select-css option[selected] {
    background-color: orange;
  }

  .result-table {
    width: 100%;
    border-collapse: collapse;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
  }
  
  .result-table th,
  .result-table td {
    padding: 8px;
    box-shadow: 0 3px 4px rgba(0, 0, 0, 0.1);
  }
  
  .result-table th {
    background-color: #f8ee67;
  }
  
  .result-table tr:hover {
    background-color: #f5f3cc;
  }

  .btn-yellow {
    background-color: #fddb3a;
    color: #ffffff;
    padding: 12px 24px;
    border: none;
    border-radius: 4px;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s ease;
    cursor: pointer;
  }
  
  .btn-yellow:hover {
    background-color: #fac500;
    transform: scale(1.1); /* Aumenta el tamaño en un 10% */
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.6); /* Cambia la sombra en hover */
  }
  
  .btn-editar {
    background-color: #4CAF50;
    color: white;
    border: none;
    padding: 5px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    border-radius: 5px; /* Añade un borde redondo */
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.4); /* Añade una sombra */
  }
  
  .btn-borrar {
    background-color: #f44336;
    color: white;
    border: none;
    padding: 5px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    border-radius: 5px; /* Añade un borde redondo */
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.4); /* Añade una sombra */
  }

  .btn-editar:hover, .btn-borrar:hover {
    transform: scale(1.1); /* Aumenta el tamaño en un 10% */
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.6); /* Cambia la sombra en hover */
  }

  form {
    margin-bottom: 20px;
  }
  
  label {
    display: block;
    font-weight: bold;
    margin-bottom: 5px;
  }
  
  input[type="number"], input[type="text"], input[type="datetime-local"],
  select {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
    font-size: 16px;
    margin-bottom: 15px;
  }
  
  input[type="submit"] {
    background-color: #fddb3a;
    color: #000000;
    padding: 10px 20px;
    border: none;
    border-radius: 3px;
    font-size: 16px;
    cursor: pointer;
  }
  
  input[type="submit"]:hover {
    background-color: #fac500;
  }